Subject: [Softwires] Recommendation for Prefix Binding in the DS-Lite (was RE: minutes for Softwire session in IETF 89)

From: <[email-masked]>
Date: Wed, 12 Mar 2014 15:51:51 +0100

Dear all,

I read the following from the minutes:

"
Erik Kline: What is the relationship between this client prefix attribute and the information that would be handed to the client in a DHCPv6 PD?
Suresh: Clarifying question.
Qi: It is for the AFTR to restrict how many translation entries can be used.
Erik: It sounded to me like there is redundant information here."

I'm not sure to understand Erik's question, but I suspect it is related to the concept of prefix-mask introduced in slide 3 of http://www.ietf.org/proceedings/89/slides/slides-89-softwire-1.pdf. 

This draft does not change how IPv6 prefixes are assigned to DS-Lite serviced CPEs, but it focuses on the AFTR side. This I-D defines a system-wide configuration parameter that allows an AFTR instance to apply generic per-subscriber policies without requiring explicit configuration of IPv6 prefixes assigned to CPEs. This proposal does not require the AFTR to embed a dhcp server nor be co-located with a DHCP relay. 

Instead of relying on the B4 address to enforce policies (e.g., port quota), the AFTR is configured with the length of the prefixes assigned in a given domain (e.g., 48, 56, 64). When a softwire is created, the AFTR will compute the prefix assigned to the initiator CPE by extracting the first significant bits (e.g., 48, 56, 64) from B4 address. That (subscriber) prefix is built on the fly. If a new IPv6 address is assigned to the B4, the AFTR can migrate existing state entries bound to the previous B4 address to the new assigned one, and soften therefore service disruption. 

Erik, please let me know if your concern is solved with this explanation. If not, can you explicit further your concern?

Thanks.

Cheers,
Med

>-----Message d'origine-----
>De : Softwires [mailto:[email-masked]] De la part de Yong Cui
>Envoyé : mercredi 12 mars 2014 14:37
>À : [email-masked]
>Objet : [Softwires] minutes for Softwire session in IETF 89
>
>Hi folks,
>
>We've uploaded the minutes for softwire session.
>If you have any comments or corrections, please let us know by March 21.
>
>Many thanks to Ole Troan for taking the notes and Cong Liu for updating it.
>
>Yong & Suresh
>
>
>_______________________________________________
>Softwires mailing list
>[email-masked]
>https://www.ietf.org/mailman/listinfo/softwires